var JumpPage = {
    /**
    * 跳转页面
    * @param {string} aniShow 动画效果
    * @param {string} id 要显示Webview窗口id
    * @param {number} duration 显示Webview窗口动画的持续时间
    * @param {function} cbFn 回调函数
    * @param {object} extras Webview窗口扩展参数
    * @return {undefined} 无返回值
    **/
    jump(url, id, cbFn ,aniShow = 'none', duration = 600, extras) {
        plus.key.hideSoftKeybord();
        function callBack() {
            cbFn&&cbFn()
            userHtml.evalJS("defaultParameters&&defaultParameters()")
        }
        var userHtml = plus.webview.getWebviewById(id); //查找view是否存在
        if (!userHtml) {
            var webview_sub = plus.webview.create(
                url,
                id, {
                    height:'100%',
                    // popGesture: 'close'
                }, extras); //后台创建webview并打开页面
        }
        plus.webview.show(id, aniShow, duration, callBack, extras)
    },

    /**
    * 页面预加载
    * @param {string} url 动画效果
    * @param {string} id 要显示Webview窗口id
    * @param {object} extras Webview窗口扩展参数
    * @return {object} Webview对象
    **/
    preloading(url, id, extras= {}) {
        var userHtml = plus.webview.getWebviewById(id); //查找view是否存在
        if(userHtml) {
            return userHtml
        }
        return plus.webview.create(
            url,
            id, {
                height:'100%',
                // popGesture: 'close'
            }, extras)
    }
}